@import "~igniteui-angular/lib/core/styles/themes/index";

@include igx-theme($default-palette);

* {
  margin: 0;
  padding: 0;
  font-family: 'Ubuntu', sans-serif;
}

.button {
  display: block;
  width: 150px;
  height: 45px;
  text-align: center;
  line-height: 45px;
  cursor: pointer;
  user-select: none;
  text-decoration: none;
  color: #fff;
  background: #c41502;
  border-radius: 6px;
  box-shadow: 0px 0px 16px 0px rgba(196, 21, 2, .65);
  transition: box-shadow .15s ease-in-out;
  margin: 15px 10px;
  border: none;
  outline: none;
  font-size: 16px;
}

.button:hover {
  box-shadow: 0px 0px 16px 4px rgba(196, 21, 2, .65);
}

.btnContainer {
  display: flex;
  justify-content: center;
}

.pageHeader {
  text-align: center;
}

.pagesText {
  resize: none;
  width: 640px;
  height: 150px;
  display: block;
  margin: 15px auto;
  border: 2px solid #c41502;
  box-shadow: 0px 10px 16px 0px rgba(196, 21, 2, .65);
  padding: 15px;
  text-align: center;
  font-size: 20px;
  outline: none;
}

.pagesText:focus {
  box-shadow: 0px 10px 16px 4px rgba(196, 21, 2, .65);
}

.igx-slider {
  width: 50%;
  margin: 35px auto;
}

.formInputField {
  margin: 10px 10px 0;
  text-align: center;
  width: 500px;
  display: flex;
  height: 45px;
  border-radius: 6px;
  overflow: hidden;
  border: 2px solid #c41502;
  outline: none;
  font-size: 16px;
}

.formContainer {
  width: max-content;
  margin: 15px auto;
}

.formContainer__form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.formContainer__form input::-webkit-outer-spin-button,
.formContainer__form input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.selectYears {
  margin: 15px auto;
  user-select: none;
  width: 500px;
}

.selectYears .fa {
  min-width: 50px;
  text-align: center;
  font-size: 25px;
}

.selectYears__itm {
  background: #c41502;
  border: 2px solid #fff;
  border-top: none;
  text-align: center;
  color: #fff;
  height: 25px;
  line-height: 25px;
  width: 80%;
  margin-left: 19px;
}

.selectYears__chosed {
  display: flex;
  cursor: pointer;
  text-align: center;
  height: 45px;
  border-radius: 6px;
  overflow: hidden;
  border: 2px solid #c41502;
  outline: none;
  font-size: 16px;
  line-height: 45px;
}

.chosedItm {
  flex-grow: 1;
  text-align: center;
}

.hidden {
  display: none;
}

.selectYears__itm:last-child {
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

.focused {
  box-shadow: 0px 0px 16px 0px rgba(196, 21, 2, .65);
}

.alertMessage {
  text-align: center;
  background: #c41502;
  margin: 0 30px auto;
  color: #fff;
  padding: 5px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  min-width: 450px;
}
